This field accepts text, html or javascript. You can use the following dynamic variables: Uptime4 Monitor. You can also use Spintax format, as such: Hello to randomize words or phrases.

Monitores de servidor

GET https://uptime4.com/api/server-monitors/
curl --request GET \
--url 'https://uptime4.com/api/server-monitors/' \
--header 'Authorization: Bearer {api_key}' \
Parâmetros Detalhes Descrição
search Opcional String A string de busca.
search_by Opcional String Qual campo você está pesquisando? Os valores permitidos são: name, target.
is_enabled Opcional Boolean
project_id Opcional Inteiro
datetime_field Opcional String Valores permitidos: datetime, last_datetime, last_log_datetime
datetime_start Opcional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Opcional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Opcional String Qual campo ordenar os resultados. Os valores permitidos são: server_monitor_id, datetime, last_datetime, last_log_datetime, total_logs, cpu_usage, ram_usage, disk_usage, uptime, name.
order_type Opcional String A ordenação dos resultados. Os valores permitidos são: ASC para ordenação ascendente e DESC para ordenação descendente.
page Opcional Inteiro O número da página de onde você deseja os resultados. O padrão é 1.
results_per_page Opcional Inteiro Quantos resultados você deseja por página. Os valores permitidos são: 10, 25, 50, 100, 250, 500, 1000. O padrão é 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 1,
            "name": "Example",
            "target": "Example",
            "notifications": [],
            "settings": [],
            "uptime": 1,
            "network_total_download": 1,
            "network_download": 1,
            "network_total_upload": 1,
            "network_upload": 1,
            "os_name": "Example",
            "os_version": "Example",
            "kernel_name": "Example",
            "kernel_version": "Example",
            "kernel_release": "Example",
            "cpu_architecture": "Example",
            "cpu_model": "Example",
            "cpu_cores": 1,
            "cpu_frequency": 1,
            "cpu_usage": 1.5,
            "ram_usage": 1.5,
            "ram_used": 1.5,
            "ram_total": 1.5,
            "disk_usage": 1.5,
            "disk_used": 1.5,
            "disk_total": 1.5,
            "cpu_load_1": 1.5,
            "cpu_load_5": 1.5,
            "cpu_load_15": 1.5,
            "is_enabled": true,
            "total_logs": 1,
            "last_log_datetime": null,
            "datetime": "2026-09-29 10:10:30",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://uptime4.com/api/server-monitors?page=1",
        "last": "https://uptime4.com/api/server-monitors?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptime4.com/api/server-monitors?page=1"
    }
}
GET https://uptime4.com/api/server-monitors/{server_monitor_id}
curl --request GET \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "notifications": [],
        "settings": [],
        "uptime": 1,
        "network_total_download": 1,
        "network_download": 1,
        "network_total_upload": 1,
        "network_upload": 1,
        "os_name": "Example",
        "os_version": "Example",
        "kernel_name": "Example",
        "kernel_version": "Example",
        "kernel_release": "Example",
        "cpu_architecture": "Example",
        "cpu_model": "Example",
        "cpu_cores": 1,
        "cpu_frequency": 1,
        "cpu_usage": 1.5,
        "ram_usage": 1.5,
        "ram_used": 1.5,
        "ram_total": 1.5,
        "disk_usage": 1.5,
        "disk_used": 1.5,
        "disk_total": 1.5,
        "cpu_load_1": 1.5,
        "cpu_load_5": 1.5,
        "cpu_load_15": 1.5,
        "is_enabled": true,
        "total_logs": 1,
        "last_log_datetime": null,
        "datetime": "2026-09-29 10:10:30",
        "last_datetime": null
    }
}
POST https://uptime4.com/api/server-monitors
Parâmetros Detalhes Descrição
name Requerido String -
target Requerido String -
project_id Opcional Inteiro -
notifications Opcional Array IDs do manipulador de notificações
server_check_interval_seconds Opcional Inteiro Valores permitidos: 60, 300, 600, 900, 1800 (segundos)
alert_metric[key] Opcional String Valores permitidos: cpu_usage, disk_usage, ram_usage
alert_rule[key] Opcional String Valores permitidos: is_higher, is_lower
alert_value[key] Opcional String Valores permitidos: 1-99
alert_trigger[key] Opcional String Valores permitidos: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10
is_enabled Opcional Boolean -
curl --request POST \
--url 'https://uptime4.com/api/server-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "notifications": [],
        "settings": [],
        "uptime": 1,
        "network_total_download": "Example",
        "network_download": "Example",
        "network_total_upload": "Example",
        "network_upload": "Example",
        "os_name": null,
        "os_version": null,
        "kernel_name": null,
        "kernel_version": null,
        "kernel_release": null,
        "cpu_architecture": null,
        "cpu_model": null,
        "cpu_cores": "Example",
        "cpu_frequency": "Example",
        "cpu_usage": 1.5,
        "ram_usage": 1.5,
        "ram_used": 1.5,
        "ram_total": 1.5,
        "disk_usage": 1.5,
        "disk_used": 1.5,
        "disk_total": 1.5,
        "cpu_load_1": 1.5,
        "cpu_load_5": 1.5,
        "cpu_load_15": 1.5,
        "is_enabled": true,
        "total_logs": 1,
        "last_log_datetime": null,
        "datetime": "2026-09-29 10:10:30",
        "last_datetime": null
    }
}
POST https://uptime4.com/api/server-monitors/{server_monitor_id}
Parâmetros Detalhes Descrição
name Requerido String -
target Requerido String -
project_id Opcional Inteiro -
notifications Opcional Array IDs do manipulador de notificações
server_check_interval_seconds Opcional Inteiro Valores permitidos: 60, 300, 600, 900, 1800 (segundos)
alert_metric[key] Opcional String Valores permitidos: cpu_usage, disk_usage, ram_usage
alert_rule[key] Opcional String Valores permitidos: is_higher, is_lower
alert_value[key] Opcional String Valores permitidos: 1-99
alert_trigger[key] Opcional String Valores permitidos: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10
is_enabled Opcional Boolean -
curl --request POST \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "notifications": [],
        "settings": [],
        "uptime": 1,
        "network_total_download": 1,
        "network_download": 1,
        "network_total_upload": 1,
        "network_upload": 1,
        "os_name": "Example",
        "os_version": "Example",
        "kernel_name": "Example",
        "kernel_version": "Example",
        "kernel_release": "Example",
        "cpu_architecture": "Example",
        "cpu_model": "Example",
        "cpu_cores": 1,
        "cpu_frequency": 1,
        "cpu_usage": 1.5,
        "ram_usage": 1.5,
        "ram_used": 1.5,
        "ram_total": 1.5,
        "disk_usage": 1.5,
        "disk_used": 1.5,
        "disk_total": 1.5,
        "cpu_load_1": 1.5,
        "cpu_load_5": 1.5,
        "cpu_load_15": 1.5,
        "is_enabled": true,
        "total_logs": 1,
        "last_log_datetime": null,
        "datetime": "2026-09-29 10:10:30",
        "last_datetime": null
    }
}
DELETE https://uptime4.com/api/server-monitors/{server_monitor_id}
curl --request DELETE \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \